メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /discovery

認証済みユーザーが開始したすべての URL ディスカバリージョブを一覧します。

クエリパラメーター

status
string
状態で絞り込み: pendingprocessingcompletedfailed
limit
number
デフォルト:"20"
1 ページあたりの件数(最大 100)。

レスポンス

jobs
array
ディスカバリージョブオブジェクトの配列。
total
number
ディスカバリージョブの総件数。
curl -X GET https://api.llmgenerator.com/api/v1/discovery \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "jobs": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "url": "https://example.com",
      "type": "full",
      "status": "completed",
      "urlsFound": 47,
      "createdAt": "2026-01-20T10:00:00.000Z"
    },
    {
      "id": "660e8400-e29b-41d4-a716-446655440001",
      "url": "https://another-example.com",
      "type": "sitemap",
      "status": "processing",
      "urlsFound": 12,
      "createdAt": "2026-01-21T11:00:00.000Z"
    }
  ],
  "total": 2
}